curl --location --request GET 'https://api.stateset.com/v1/case' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query getMyCases {
cases(order_by: {createdDate: desc}) {
id
caseName
description
caseNumber
caseStatus
priority
submitter
resolver
createdDate
}
}
const cases= await stateset.channel_threads.retrieve({
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
});
cases= stateset.channel_threads.retrieve({
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
})
channel_threads, err := stateset.Messages.Retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
)
cases= Stateset::Messages.retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
)
Cases cases= Stateset.Cases.retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
Cases cases= Stateset.Cases.Retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
$cases= Stateset\Cases::retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
GET /v1/cases HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
{
"data": {
"case": {
"id": "ca_1NXWPnCo6bFb1KQto6C8OWvE",
"caseName": "Case Name",
"description": "Case Description",
"caseNumber": "Case Number",
"caseStatus": "Case Status",
"priority": "Priority",
"submitter": "Submitter",
"resolver": "Resolver",
"createdDate": "2021-01-01T00:00:00.000Z"
}
}
}
This endpoint gets a case.
GET
/
v1
/
cases
/
:id
curl --location --request GET 'https://api.stateset.com/v1/case' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query getMyCases {
cases(order_by: {createdDate: desc}) {
id
caseName
description
caseNumber
caseStatus
priority
submitter
resolver
createdDate
}
}
const cases= await stateset.channel_threads.retrieve({
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
});
cases= stateset.channel_threads.retrieve({
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
})
channel_threads, err := stateset.Messages.Retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
)
cases= Stateset::Messages.retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
)
Cases cases= Stateset.Cases.retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
Cases cases= Stateset.Cases.Retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
$cases= Stateset\Cases::retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
GET /v1/cases HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
{
"data": {
"case": {
"id": "ca_1NXWPnCo6bFb1KQto6C8OWvE",
"caseName": "Case Name",
"description": "Case Description",
"caseNumber": "Case Number",
"caseStatus": "Case Status",
"priority": "Priority",
"submitter": "Submitter",
"resolver": "Resolver",
"createdDate": "2021-01-01T00:00:00.000Z"
}
}
}
Body
string
This is the id of the case
Response
string
This is the id of the case
string
This is the name of the case
string
This is the description of the case
string
This is the number of the case
string
This is the status of the case
string
This is the priority of the case
string
This is the submitter of the case
string
This is the resolver of the case
string
This is the date the case was created
string
This is the date the case was updated
curl --location --request GET 'https://api.stateset.com/v1/case' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query getMyCases {
cases(order_by: {createdDate: desc}) {
id
caseName
description
caseNumber
caseStatus
priority
submitter
resolver
createdDate
}
}
const cases= await stateset.channel_threads.retrieve({
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
});
cases= stateset.channel_threads.retrieve({
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
})
channel_threads, err := stateset.Messages.Retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
)
cases= Stateset::Messages.retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
)
Cases cases= Stateset.Cases.retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
Cases cases= Stateset.Cases.Retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
$cases= Stateset\Cases::retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
GET /v1/cases HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
{
"data": {
"case": {
"id": "ca_1NXWPnCo6bFb1KQto6C8OWvE",
"caseName": "Case Name",
"description": "Case Description",
"caseNumber": "Case Number",
"caseStatus": "Case Status",
"priority": "Priority",
"submitter": "Submitter",
"resolver": "Resolver",
"createdDate": "2021-01-01T00:00:00.000Z"
}
}
}
โI